extern uint32 module_version_database_version4[];
extern char module_config_database_version4[];
extern int init_module_database_version4();
extern int exit_module_database_version4();
extern void add_nickinfo();
extern void del_nickinfo();
extern void get_nickinfo();
extern void put_nickinfo();
extern void first_nickinfo();
extern void next_nickinfo();
extern void add_nickgroupinfo();
extern void del_nickgroupinfo();
extern void get_nickgroupinfo();
extern void put_nickgroupinfo();
extern void first_nickgroupinfo();
extern void next_nickgroupinfo();
extern void open_nick_db();
extern void sync_nick_db();
extern void close_nick_db();
extern void add_channelinfo();
extern void del_channelinfo();
extern void get_channelinfo();
extern void put_channelinfo();
extern void first_channelinfo();
extern void next_channelinfo();
extern void open_channel_db();
extern void sync_channel_db();
extern void close_channel_db();
extern void get_operserv_data();
extern void put_operserv_data();
extern void open_operserv_db();
extern void sync_operserv_db();
extern void close_operserv_db();
extern void add_news();
extern void del_news();
extern void get_news();
extern void put_news();
extern void first_news();
extern void next_news();
extern void open_news_db();
extern void sync_news_db();
extern void close_news_db();
extern void add_maskdata();
extern void del_maskdata();
extern void get_maskdata();
extern void put_maskdata();
extern void first_maskdata();
extern void next_maskdata();
extern void open_akill_db();
extern void sync_akill_db();
extern void close_akill_db();
extern void get_exception_by_num();
extern void move_exception();
extern void open_exception_db();
extern void sync_exception_db();
extern void close_exception_db();
extern void open_sline_db();
extern void sync_sline_db();
extern void close_sline_db();
